> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice setup

> Get the invoicing setup for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/invoicing/invoiceSetup
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/invoicing/invoiceSetup:
    get:
      tags:
        - Invoicing
      summary: Get invoice setup
      description: Get the invoicing setup for the authenticated user
      operationId: getInvoiceSetup
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceSetupDTOV5'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    InvoiceSetupDTOV5:
      type: object
      properties:
        brandColor:
          type: string
          description: The primary color (six digit hexadecimal) of your user's brand
          example: '#5AAE46'
        defaultInvoiceNote:
          type: string
          description: Default invoice message, to be appended at the end of the invoice
          example: Thank you for your business!
        defaultInvoiceTerm:
          type: string
          description: Default invoice term, i.e. how many days till the invoice is due
          example: NET_10
          enum:
            - DUE_NOW
            - NET_10
            - NET_15
            - NET_30
            - NET_60
            - OTHER
        defaultReimbursableMarkUpPercent:
          type: number
          description: Default expense mark-up percentage
          example: 10
        invoiceReminderSchedule:
          type: array
          description: >-
            List of payment reminder frequencies to be used as the default on
            new invoices
          items:
            type: string
            enum:
              - ON_DUE_DATE
              - THREE_DAYS_AFTER_DUE_DATE
              - EVERY_SEVEN_DAYS_AFTER_DUE_DATE
              - AFTER_TWO_MINS
          enum:
            - ON_DUE_DATE
            - THREE_DAYS_AFTER_DUE_DATE
            - EVERY_SEVEN_DAYS_AFTER_DUE_DATE
        thirdPartyPaymentsEnabled:
          type: boolean
          description: Whether third party payment processing is enabled
        invoiceSetupComplete:
          type: boolean
          description: Whether the user has completed all the invoice setup steps
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````